%define oname		xvidcore

%define major		4
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d

Name:		xvid
Epoch:		2
Version:	1.3.7
Release:	%mkrel 1
Summary:	Video codec compatible with divx4
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xvid.com
Source0:	https://downloads.xvid.com/downloads/%{oname}-%{version}.tar.gz
BuildRequires:	gcc
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

%description
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

This package is in Tainted repository for patent issues.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Video codec compatible with divx4
Provides:	lib%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n	%{libname}
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in tainted repository for patent issues.

%package -n	%{develname}
Group:		Development/C
Summary:	Video codec compatible with divx4, devel files
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	xvid4-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in tainted repository for patent issues.

This package contains the header files and static libraries needed to
build programs with the xvid codec using it's native API.

%prep
%autosetup -n xvidcore -p1

%build
pushd build/generic
	%configure
	%make_build
popd

%install
%make_install -C build/generic

# ensure .so modules are executable for proper -debuginfo extraction
chmod a+rx %{buildroot}%{_libdir}/*.so

%files -n %{libname}
%doc LICENSE README
%{_libdir}/libxvidcore.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog CodingStyle TODO AUTHORS
%{_libdir}/libxvidcore.so
%{_libdir}/libxvidcore.a
%{_includedir}/xvid.h


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 2:1.3.7-1.mga8
+ Revision: 1647266
- 1.3.7
- update URLs
- remove upstreamed patch

* Fri Feb 21 2020 umeabot <umeabot> 2:1.3.5-5.mga8.tainted
+ Revision: 1548897
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 19 2019 daviddavid <daviddavid> 2:1.3.5-4.mga8.tainted
+ Revision: 1454562
- add upstream patch to fix crash in check_cpu_features, patch by Peter Ross (mga#25587)
- compile with nasm

* Fri Sep 21 2018 umeabot <umeabot> 2:1.3.5-3.mga7.tainted
+ Revision: 1292196
- Mageia 7 Mass Rebuild

* Sun Sep 09 2018 wally <wally> 2:1.3.5-2.mga7.tainted
+ Revision: 1257945
- rebuild for aarch64

* Mon Apr 23 2018 daviddavid <daviddavid> 2:1.3.5-1.mga7.tainted
+ Revision: 1221365
- new version: 1.3.5

* Sat Oct 15 2016 daviddavid <daviddavid> 2:1.3.4-3.mga6.tainted
+ Revision: 1060986
- rebuild for ARM

* Sun Jan 03 2016 daviddavid <daviddavid> 2:1.3.4-2.mga6.tainted
+ Revision: 919267
- reenable debug package with proper fix as it should
  * ensure .so files are executable (0755) for proper -debuginfo extraction

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2:1.3.4-1.mga6.tainted
+ Revision: 918973
- disable empty debug package for now
- 1.3.4

* Wed Oct 15 2014 umeabot <umeabot> 2:1.3.3-3.mga5.tainted
+ Revision: 740930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:1.3.3-2.mga5.tainted
+ Revision: 690798
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 luigiwalser <luigiwalser> 2:1.3.3-1.mga5.tainted
+ Revision: 633296
- 1.3.3

* Thu Oct 31 2013 tmb <tmb> 2:1.3.2-5.mga4.tainted
+ Revision: 548300
- Mageia 4 rebuild

* Mon Jul 08 2013 wally <wally> 2:1.3.2-4.mga4.tainted
+ Revision: 451492
- fix pkg names
- clean .spec a bit more

* Mon Jul 08 2013 wally <wally> 2:1.3.2-3.mga4.tainted
+ Revision: 451483
- fix provides (add epoch)
- clean old obsoletes
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 2:1.3.2-2.mga3.tainted
+ Revision: 387506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 luigiwalser <luigiwalser> 2:1.3.2-1.mga3.tainted
+ Revision: 248573
- 1.3.2

* Sat May 07 2011 mikala <mikala> 2:1.3.1-2.mga1
+ Revision: 95780
- Update %%description
- imported package xvid


* Fri Apr 22 2011 Götz Waschk <goetz@zarb.org> 1.3.1-1
- new version

* Thu Feb 24 2011 Götz Waschk <goetz@zarb.org> 1.3.0-1
- new version

* Sun May 31 2009 Götz Waschk <goetz@zarb.org> 1.2.2-1plf2010.0
- drop patch
- new version

* Wed Dec  3 2008 Götz Waschk <goetz@zarb.org> 1.2.0-2plf2009.1
- reenable fortify
- fix from Per Øyvind Karlsen to fix build with fortify

* Wed Dec  3 2008 Götz Waschk <goetz@zarb.org> 1.2.0-1plf2009.1
- spec fixes
- update license
- new devel name
- disable fortify to make it build
- new version

* Thu May 29 2008 Anssi Hannula <anssi@zarb.org> 1.1.3-2plf2009.0
- build with yasm instead of nasm (preferred by configure and has
  support for more archs)
- drop old compatibility defines
- UTF-8 specfile

* Tue Jul  3 2007 Götz Waschk <goetz@zarb.org> 1.1.3-1plf2008.0
- new version

* Wed Nov  1 2006 Götz Waschk <goetz@zarb.org> 1.1.2-1plf2007.1
- fix description
- new source URL
- new version

* Sat Dec 31 2005 trem <trem@zarb.org> 1.1.0-1plf
- new version

* Mon Apr 25 2005 Götz Waschk <goetz@zarb.org> 1.1.0-0.beta2.1plf
- new version

* Thu Apr 14 2005 Götz Waschk <goetz@zarb.org> 1.0.3-2plf
- mkrel

* Thu Feb 17 2005 Götz Waschk <goetz@zarb.org> 1.0.3-1plf
- New release 1.0.3

* Wed Sep  1 2004 Götz Waschk <goetz@zarb.org> 1.0.2-1plf
- add source URL
- New release 1.0.2

* Tue Jun  8 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.1-1plf
- provide xvid4-devel
- new version

* Mon May 17 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- new version

* Mon Apr 12 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc4.1plf
- new version

* Thu Apr  1 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.3plf
- back to rc3

* Thu Apr  1 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- update description
- new version

* Thu Mar  4 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.2plf
- fix devel requirement

* Wed Mar  3 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.1plf
- new version

* Thu Feb 12 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc2.1plf
- new prerelease

* Mon Jan  5 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta3.1plf
- use the mdkversion macro
- new version

* Sun Jan  4 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.3plf
- fix shared library symlink

* Wed Dec 10 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.2plf
- fix spec for mdk 9.0

* Tue Dec  9 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.1plf
- add conflict with xvid2-devel
- new version

* Mon Dec  1 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta1.1plf
- drop divx compatiblity headers
- spec cleanup
- major 4
- new version

* Sat Oct  4 2003 Olivier Blin <oliv.blin@laposte.net> 0.9.2-2plf
- fix obsoletes (do not use version)

* Sun Sep  7 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1plf
- 0.9.2
- libdification and %%mklibname
- cleanup

* Tue Jun 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.9.1-3plf
- fix doc section

* Sun May 18 2003 Götz Waschk <goetz@plf.zarb.org> 0.9.1-2plf
- enable divx compatibility, does anybody still need this?

* Sat Feb 15 2003 Laurent Culioli <laurent@pschit.net> 0.9.1-1plf
- 0.9.1

* Tue Dec 10 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.9.0-1plf
- add missing docs
- epoch 1
- 0.9.0 release

* Thu Nov  7 2002 Götz Waschk <waschk@linux-mandrake.com> 20021007-1plf
- new snapshot

* Wed Jul 31 2002 Götz Waschk <waschk@linux-mandrake.com> 20020731-1plf
- add explicit conflict xvid-divx-devel <> libdivx4linux0-devel
- new snapshot
- renamed static lib

* Fri Jul 19 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 20020719-1plf
- a new snapshot

* Wed Jun 19 2002 Götz Waschk <waschk@linux-mandrake.com> 20020619-1plf
- new snapshot
- use Makefile.linux for x86 

* Fri Jun 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020520-2plf
- ppc adaptation
- use %%make instead make

* Mon May 20 2002 Götz Waschk <waschk@linux-mandrake.com> 20020520-1plf
- snapshot
- split package again, extra package for divx headers

* Tue May 14 2002 Götz Waschk <waschk@linux-mandrake.com> 20020514-1plf
- split package
- new cvs snapshot

* Mon Apr 22 2002 Götz Waschk <waschk@linux-mandrake.com> 20020412-1plf
- better late than never a new snapshot
- add divx4.h header file

* Tue Apr  9 2002 Götz Waschk <waschk@linux-mandrake.com> 20020404-1plf
- new snapshot
- change license to GPL
- fix build, use the right makefile
- requires nasm 0.98 aka nasm-compat

* Mon Feb 25 2002 Götz Waschk <waschk@linux-mandrake.com> 20020121-1plf
- adapt CFLAGS
- initial package


# end of file
